from flask_wtf import FlaskForm
from flask_wtf.file import FileField, FileRequired, FileAllowed


class FileForm(FlaskForm):
    """
    Pdf upload form
    """
    first_file = FileField(
        'První pdf ke spojení',
        validators=[
            FileAllowed(
                ['pdf'], 'Pouze PDF!'
            )
        ]
    )

    second_file = FileField(
        'Druhé pdf ke spojení',
        validators=[
            FileAllowed(
                ['pdf'], 'Pouze PDF!'
            )
        ]
    )
